%define name powertop
%define version 1.10
%define release %mkrel 1

Summary: Power saving diagnostic tool
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.linuxpowertop.org/download/%{name}-%{version}.tar.gz
Patch0: powertop-1.5-ncursesw.patch
License: GPLv2+
Group: System/Kernel and hardware
Url: http://www.linuxpowertop.org/
BuildRequires: libncursesw-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
PowerTOP tool is a program that collects the various pieces of
information from a system and presents an overview of how well a
laptop is doing in terms of power savings. In addition, PowerTOP will
provide an indication of which tunables and software components are
the biggest offenders in slurping up battery time. PowerTOP will
update it's display frequently so that the impact of any changes can
be seen directly.

%prep
%setup -q
%patch0 -p1 -b .ncursesw

%build
%make CFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc README Changelog
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Jun 16 2008 Funda Wang <fundawang@mandriva.org> 1.10-1mdv2009.0
+ Revision: 219465
- New version 1.10

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 1.9-2mdv2008.1
+ Revision: 106393
- Rebuild for new lzma

* Sat Nov 03 2007 trem <trem@mandriva.org> 1.9-1mdv2008.1
+ Revision: 105546
- update to 1.9

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 1.8-1mdv2008.0
+ Revision: 75211
- New version 1.8

* Tue Jun 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.7-1mdv2008.0
+ Revision: 41566
- new version

* Tue May 29 2007 Olivier Blin <oblin@mandriva.com> 1.5-1mdv2008.0
+ Revision: 32610
- Patch0: use ncursesw headers
- 1.5
- buildrequires libncursesw-devel (thanks rtp for the hint)

* Tue May 22 2007 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2008.0
+ Revision: 29668
- 1.3

* Tue May 15 2007 Olivier Blin <oblin@mandriva.com> 1.2-2mdv2008.0
+ Revision: 26906
- add man page

* Tue May 15 2007 Stefan van der Eijk <stefan@mandriva.org> 1.2-1mdv2008.0
+ Revision: 26832
- 1.2

* Mon May 14 2007 Olivier Blin <oblin@mandriva.com> 1.1-1mdv2008.0
+ Revision: 26655
- 1.1 (and add README/Changelog files)

* Sat May 12 2007 Olivier Blin <oblin@mandriva.com> 1.0-1mdv2008.0
+ Revision: 26483
- initial PowerTOP package
- Create powertop

